import { ProjectConfiguration } from '@nx/devkit';
export declare enum IntegrationName {
    Cloudflare = "cloudflare",
    Deno = "deno",
    Netlify = "netlify"
}
/**
 * If there're no integrations, the one that is being added will get a "production" mode as its configuration.
 * Otherwise the respective configuration name will be used as a configuration
 */
export declare function getIntegrationConfigurationName(integration: IntegrationName, project: ProjectConfiguration): string;
