"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const devkit_1 = require("@nx/devkit");
const migrations_1 = require("../../utils/migrations");
function update(host) {
    const projects = (0, devkit_1.getProjects)(host);
    projects.forEach((config, name) => {
        var _a;
        if ((0, migrations_1.isQwikNxProject)(config)) {
            const buildTarget = (_a = config.targets) === null || _a === void 0 ? void 0 : _a['build'];
            if (buildTarget === null || buildTarget === void 0 ? void 0 : buildTarget.options) {
                buildTarget.options = Object.assign(Object.assign({}, buildTarget.options), { skipTypeCheck: false });
                (0, devkit_1.updateProjectConfiguration)(host, name, config);
            }
        }
    });
}
exports.default = update;
//# sourceMappingURL=add-verbose-skip-type-check-option-for-the-build-executor.js.map